Nach Update eine Fehlermeldung der htaccess

Ich habe es nun doch gewagt von OC auf NC zu Updaten und bekam prompt die nachfolgende Fehlermeldung

"Technical information

The following list covers which files have failed the integrity check. Please read
the previous linked documentation to learn more about the errors and how to fix
them.

Results

  • core
    • INVALID_HASH
      • .htaccess

Raw output

Array
(
[core] => Array
(
[INVALID_HASH] => Array
(
[.htaccess] => Array
(
[expected] => 4a97aae4d05df89a28bf2e63fe2a31cdf2afe74d3c9f622afb581d6b0f1f4e001639c7c3a31d7aaa793c00d5f355e0bfaad62ec45507245de441cfc552115cd7
[current] => 451fd1fa17239d8d1fa31c5b22dce5ef6710b93ff90a4705416e452d3f4cf22f387b49e98bd01a69ce2a2da8a2613298c37cd306955ed16808755afbbc32d38f
)

            )

    )

)"

Was bedeutet das und wie bekomme ich diese Meldung weg ?

Gruß M67

Du hast beim Uploaden vergessen die .htaccess Datei auch zu √ľberschreiben mit der Version von Nextcloud :slight_smile:

Hmmmm… möglich… lade die nochmal hoch!

Nein das war es nicht… habe die von NC nochmal nachgeladen es ist die selbe Fehlermeldung !

Auch den rescan Knopf im Admin Men√ľ gedr√ľckt?

Nöööö… wo finde ich den ?
Im der ACP nicht !

https://docs.nextcloud.org/server/9/admin_manual/issues/code_signing.html?highlight=rescan#fixing-invalid-code-integrity-messages

=> ‚ÄúTrigger a rescan‚ÄĚ

Sorry keine Ahnung wie mir das Helfen soll… gibt es Bilder dazu :slight_smile: oder in Deutsch…

Das sagt mir Google dazu…
"Ein Klick auf diesen Link gelangen Sie zu Ihrer Nextcloud Admin-Seite , die die folgenden Optionen:

Einen Link zu dieser Dokumentation Eintrag.
Zeigen Sie eine Liste von ung√ľltigen Dateien .
L√∂sen Sie eine erneute Pr√ľfung ."

Ich glaube ich lösche NC nochmal und Installiere es neu :slight_smile:

Das Bild ist im verlinkten Dokumentationseintrag, siehe Punkt 3:

LOL… das habe ich ja gesehen… ich verstehe es aber nicht !
Wie und wo geht das :slight_smile: ich schätze ich soll die Nr. 3 Auslösen nur wie, kurz EN kannst du bei mir völlig vergessen, deshalb die Frage noch Bildern, also ein Bild pro Schritt oder eine Erklärung in DE :slight_smile:

Edit: habe es Gefunden unter "Erneut analysieren!

Keine √Ąnderung‚Ķ die Fehlermeldung bleibt gleich, werde es mit der Neu Installation versuchen :slight_smile:
Danke f√ľr deine Hilfe :+1:

Edit: nach dem Löschen und neu aufspielen der Dateien wurde kein Update ausgelöst, vielmehr funzt NC so als hätte ich die Dateien NIE gelöscht, auch die Fehlermeldung ist die gleiche !
Ich will jetzt mal nicht sagen… wäre ich bloß bei OC geblieben :slight_smile:

Ich hatte zuerst das gleich Problem, aber hast du wirklich die .htaccess mitkopiert? das ist eine versteckte Datei, die ich immer wenn ich alles markiert habe nich mit kopiert habe. :wink:

@happyreacer … BINGO :slight_smile:
Mal ein Gro√ües LOL √ľber mich selbst ich habe im Dolphin zwei Fenster das Rechte mit dem ich den Server sehe habe ich schon lange auf ‚ÄúVersteckte Dateien anzeigen‚ÄĚ umgestellt, das Linke Fenster aber nicht :slight_smile:

Also nachdem alle Dateien Sichtbar waren habe ich die htaccess kopiert neu gepr√ľft und die Fehlermeldung war weg :slight_smile:

Danke und Gruß M67

1 Like

Hi, nach dem Update auf Nextcloud 11.0.1 habe ich den selben Fehler festgestellt.
Die Lösung habe hier Failed integrity check after manual upgrade gefunden.

sudo nano /var/www/nextcloud/config/config.php
’integrity.check.disabled’ => true,
Nextcloud Admin rescan
sudo nano /var/www/nextcloud/config/config.php
l√∂sche ‚Äėintegrity.check.disabled‚Äô => true,
Nextcloud Admin rescan

dann sollte der Fehler verschwunden sein.

Ich greife das alte Thema noch einmal auf, weil es beim Update auf die Version 14.0.1 bei mir ebenfalls diese Meldung anzeigt.
Das Problem erscheint auch beim Update √ľber das Backend. Ich muss eine eigene .htaccess-Datei anlegen damit die Befehle

RewriteCond %{HTTPS} !=on
RewriteCond %{ENV:HTTPS} !=on
RewriteCond %{THE_REQUEST} !/(robots.txt)\s [NC]
RewriteRule .* https://%{SERVER_NAME}%{REQUEST_URI} [R=301,L]

eingetragen sind, sowie eine Zeile um die richtige php-Version zu nutzen. Bei jedem Update √ľberschreibt nextcloud die .htaccess-Datei und ich muss diese via ftp wieder √ľberschreiben. (an sich schon nervig) Diesmal musste ich das √úberschreiben bereits beim Update machen, da die 14er Version nur unter php 7 l√§uft und sonst nicht startbar war.
Jetzt zeigt er mir den integrity.check-Fehler an, weil die .htaccess-Datei nicht die Originaldatei ist.

Deswegen den check ausschalten ist vielleicht keine gute Idee. Ich denke, hier sollte eher die Updateroutine angepasst werden.
Mir bleibt im Moment wohl nichts anderes √ľbrig, als die Fehlermeldung zu ignorieren.

ich habe dieser Fehler mti der Version 24.0.1, hat jemand eine Lösung?